# - Config file for the BxDecay0 package
# It defines the following variables
#  BxDecay0_VERSION       - BxDecay0 version

#----------------------------------------------------------------------
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#----------------------------------------------------------------------

set(BxDecay0_VERSION 1.0.5)
set(BxDecay0_CXX_STANDARD 17)


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was BxDecay0Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################

set_and_check(BxDecay0_INCLUDE_DIR ${PACKAGE_PREFIX_DIR}/include)

#-----------------------------------------------------------------------
# Handle paths/targets for third party deps here...
#
set(BxDecay0_GSL_VERSION 2.5)
set(GSL_ROOT_DIR ${GSL_FQ_DIR})
find_package(GSL ${BxDecay0_GSL_VERSION} REQUIRED)

#-----------------------------------------------------------------------
# Include the file listing all the imported targets.
# This is installed in the same location as us...
#
if(NOT BxDecay0_TARGETS_LOADED)
  include("${CMAKE_CURRENT_LIST_DIR}/BxDecay0Targets.cmake")
  set(BxDecay0_TARGETS_LOADED 1)
endif()

set(BxDecay0_LIBRARIES BxDecay0::BxDecay0)

# - end
